# smeshDC.Mesh_Segment_Python Class Reference

Class to define a segment 1D algorithm for discretization with python function. More...

Inheritance diagram for smeshDC.Mesh_Segment_Python:

## Public Member Functions
def | __init__
| Private constructor.
def | PythonSplit1D
| Define "PythonSplit1D" hypothesis based on the Erwan Adam patch, awaiting equivalent SALOME functionality.
def | __init__
def | LocalLength
| Define "LocalLength" hypothesis to cut an edge in several segments with the same length.
def | NumberOfSegments
| Define "NumberOfSegments" hypothesis to cut an edge in several fixed number of segments.
def | Arithmetic1D
| Define "Arithmetic1D" hypothesis to cut an edge in several segments with arithmetic length increasing.
def | StartEndLength
| Define "StartEndLength" hypothesis to cut an edge in several segments with geometric length increasing.
def | Deflection1D
| Define "Deflection1D" hypothesis.
def | Propagation
| Define "Propagation" hypothesis that propagate all other hypothesis on all others edges that are in the opposite side in the case of quadrangular faces.
def | AutomaticLength
| Define "AutomaticLength" hypothesis.
def | LengthNearVertex
| Define "SegmentLengthAroundVertex" hypothesis.
def | QuadraticMesh
| Define "QuadraticMesh" hypothesis, forcing construction of quadratic edges.
def | GetSubMesh
| If the algorithm is global, return 0; else return the submesh associated to this algorithm.
def | GetAlgorithm
| Return the wrapped mesher.
def | GetCompatibleHypothesis
| Get list of hypothesis that can be used with this algorithm.
def | GetName
| Get name of algo.
def | SetName
| Set name to algo.
def | GetId
| Get id of algo.
def | Create
| Private method.
def | Hypothesis
| Private method.
## Data Fields
| geom
| smesh
| mesh
| subm
| algo

## Detailed Description

More details.

## Member Function Documentation

def smeshDC.Mesh_Segment_Python.__init__ | ( |  | self,
|  |  | mesh,
|  |  | geom = `0` |
| ) |  |  |

Reimplemented from smeshDC.Mesh_Segment.

def smeshDC.Mesh_Segment_Python.PythonSplit1D | ( |  | self,
|  |  | n,
|  |  | func |
| ) |  |  |

Parameters:

  | n | for the number of segments that cut an edge
  | func | for the python function that calculate the length of all segments

def smeshDC.Mesh_Algorithm.__init__ | ( |  | self,
|  |  | smesh |
| ) |  |  | `[inherited]`

def smeshDC.Mesh_Segment.LocalLength | ( |  | self,
|  |  | l |
| ) |  |  | `[inherited]`

Parameters:

  | l | for the length of segments that cut an edge

def smeshDC.Mesh_Segment.NumberOfSegments | ( |  | self,
|  |  | n,
|  |  | s = `[]` |
| ) |  |  | `[inherited]`

Parameters:

  | n | for the number of segments that cut an edge
  | s | for the scale factor (optional)

def smeshDC.Mesh_Segment.Arithmetic1D | ( |  | self,
|  |  | start,
|  |  | end |
| ) |  |  | `[inherited]`

Parameters:

  | start | for the length of the first segment
  | end | for the length of the last segment

def smeshDC.Mesh_Segment.StartEndLength | ( |  | self,
|  |  | start,
|  |  | end |
| ) |  |  | `[inherited]`

Parameters:

  | start | for the length of the first segment
  | end | for the length of the last segment

def smeshDC.Mesh_Segment.Deflection1D | ( |  | self,
|  |  | d |
| ) |  |  | `[inherited]`

Parameters:

  | d | for the deflection

def smeshDC.Mesh_Segment.Propagation | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Segment.AutomaticLength | ( |  | self,
|  |  | fineness = `0` |
| ) |  |  | `[inherited]`

Parameters:

  | fineness | for the fineness [0-1]

def smeshDC.Mesh_Segment.LengthNearVertex | ( |  | self,
|  |  | length,
|  |  | vertex = `0` |
| ) |  |  | `[inherited]`

Parameters:

  | length | for the segment length
  | vertex | for the length localization: vertex index [0,1] | verext object

def smeshDC.Mesh_Segment.QuadraticMesh | ( |  | self | ) | `[inherited]`

If the 2D mesher sees that all boundary edges are quadratic ones, it generates quadratic faces, else it generates linear faces using medium nodes as if they were vertex ones. The 3D mesher generates quadratic volumes only if all boundary faces are quadratic ones, else it fails.

def smeshDC.Mesh_Algorithm.GetSubMesh | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.GetAlgorithm | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.GetCompatibleHypothesis | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.GetName | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.SetName | ( |  | self,
|  |  | name |
| ) |  |  | `[inherited]`

def smeshDC.Mesh_Algorithm.GetId | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.Create | ( |  | self,
|  |  | mesh,
|  |  | geom,
|  |  | hypo,
|  |  | so = `"libStdMeshersEngine.so"` |
| ) |  |  | `[inherited]`

def smeshDC.Mesh_Algorithm.Hypothesis | ( |  | self,
|  |  | hyp,
|  |  | args = `[]`,
|  |  | so = `"libStdMeshersEngine.so"` |
| ) |  |  | `[inherited]`

## Field Documentation

smeshDC.Mesh_Segment.geom`[inherited]`

Reimplemented from smeshDC.Mesh_Algorithm.

smeshDC.Mesh_Algorithm.smesh`[inherited]`

smeshDC.Mesh_Algorithm.mesh`[inherited]`

smeshDC.Mesh_Algorithm.subm`[inherited]`

smeshDC.Mesh_Algorithm.algo`[inherited]`